import JSON5 from 'json5';
import { TextFile } from 'lowdb/node';
export class JSON5File {
    #adapter;
    constructor(filename) {
        this.#adapter = new TextFile(filename);
    }
    async read() {
        const data = await this.#adapter.read();
        if (data === null) {
            return null;
        }
        else {
            return JSON5.parse(data);
        }
    }
    write(obj) {
        return this.#adapter.write(JSON5.stringify(obj, null, 2));
    }
}
